Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

code injection vulnerability in module editor for BA70-80, SAP security note 1675511

Description

This note was previously published as a non-security note. If you have performed this note, you need do nothing.
In customizing of module editor, you can enter arbitrary ABAP coding. An attacker can therefore control the behavior of the system, or can potentially escalate privileges by executing malicious code, without having their own legitimate credentials.

Available fix and Supported packages

  • FSAPPL | 300 | 300
  • FSAPPL | 400 | 400
  • FSAPPL 400 | SAPK-40003INFSAPPL |
  • FSAPPL 300 | SAPK-30012INFSAPPL |

Affected component

    FS-BA-TO-ME
    Module Editor

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1675511

TAGS

#Backdoor
#injection
#run
#credentials
#module-editor

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below